<?php
/**
 * 珑大极简商城
 * 
 *  ==========================================================================
 *  @link      https://shop.loongdom.cn/
 *  @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 *  @license   https://shop.loongdom.cn/license.html License
 *  ==========================================================================
 * 
 * @author    静静的风
 */


namespace User\Entity;

use Admin\Entity\BaseEntity as BaseEntity;
use Doctrine\ORM\Mapping as ORM;

/**
 * 客户组
 *
 * @ORM\Entity(repositoryClass="User\Repository\UserGroupRepository")
 * @ORM\Table(name="loongdom_user_group")
 */
class UserGroup extends BaseEntity
{

    /**
     * 自增id
     *
     * @ORM\Id()
     * @ORM\Column(name="user_group_id", type="integer", length=11)
     * @ORM\GeneratedValue(strategy="AUTO")
     */
    private $userGroupId;

    /**
     * 客户组名称
     *
     * @ORM\Column(name="user_group_name", type="string", length=100)
     */
    private $userGroupName;

    /**
     * Get the value of 自增id
     *
     * @return mixed
     */
    public function getUserGroupId()
    {
        return $this->userGroupId;
    }

    /**
     * Set the value of 自增id
     *
     * @param mixed $userGroupId
     */
    public function setUserGroupId($userGroupId) : void
    {
        $this->userGroupId = $userGroupId;
    }

    /**
     * Get the value of 客户组名称
     *
     * @return mixed
     */
    public function getUserGroupName()
    {
        return $this->userGroupName;
    }

    /**
     * Set the value of 客户组名称
     *
     * @param mixed $userGroupName
     */
    public function setUserGroupName($userGroupName) : void
    {
        $this->userGroupName = $userGroupName;
    }


}

