<?php
/**
 * 珑大极简商城
 *
 * ==========================================================================
 * @link      https://shop.loongdom.cn/
 * @copyright 北京珑大钜商科技有限公司，并保留所有权利。
 * @license   https://shop.loongdom.cn/license.html License
 * ==========================================================================
 *
 * @author    静静的风 <baron@loongdom.cn>
 *
 */

$defaultTemplate = str_replace('/', '-', \Admin\Data\Common::getShopDefaultTemplate());

return [
    'modules' => require __DIR__ . '/modules.config.php',

    'module_listener_options' => [
        'module_paths' => [
            './module',
            './vendor',
        ],

        'config_glob_paths' => [
            realpath(__DIR__) . '/autoload/{{,*.}global,{,*.}local}.php',
        ],

        'config_cache_enabled' => true,

        'config_cache_key' => $defaultTemplate.'.application.cache',

        'module_map_cache_enabled' => false,

        'module_map_cache_key' => 'application.module.cache',

        'cache_dir' => 'data/cache/',
    ],
];
