<?php
return [
    'paymentName' => [
        'title' => '支付方式名称',
        'content' => '支付宝支付',
        'nameId' => 'paymentName',
        'inputType' => 'text',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],
    'paymentLogo' => [
        'title' => '支付方式Logo',
        'content' => 'upload/payment/alipay.gif',
        'nameId' => 'paymentLogo',
        'inputType' => 'image',
    ],
    'paymentAppId' => [
        'title' => '应用ID',
        'content' => '',
        'nameId' => 'paymentAppId',
        'inputType' => 'text',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],
    'paymentPublicKey' => [
        'title' => '支付宝公钥',
        'content' => '',
        'nameId' => 'paymentPublicKey',
        'inputType' => 'textarea',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],
    'paymentPrivateKey' => [
        'title' => '支付私钥',
        'content' => '',
        'nameId' => 'paymentPrivateKey',
        'inputType' => 'textarea',
        'class' => 'form-control',
        'width' => 'col-sm-6',
    ],
    'paymentShow' => [
        'title' => '显示设置',
        'content' => [
            'content1' => [
                'name' => '电脑端显示',
                'value' => 'pc',
            ],
            'content2' => [
                'name' => '手机端显示',
                'value' => 'phone',
            ],
        ],
        'nameId' => 'paymentShow',
        'inputType' => 'checkbox',
        'checked' => [
            0 => 'pc',
            1 => 'phone',
        ],
    ],
    'paymentState' => [
        'title' => '支付状态',
        'content' => [
            'radio1' => [
                'name' => '启用',
                'value' => '1',
            ],
            'radio2' => [
                'name' => '禁用',
                'value' => '0',
            ],
        ],
        'nameId' => 'paymentState',
        'inputType' => 'radio',
        'checked' => '0',
    ],
    'paymentSort' => [
        'title' => '支付排序',
        'content' => '255',
        'nameId' => 'paymentSort',
        'inputType' => 'number',
        'class' => 'form-control',
        'width' => 'col-sm-2',
    ],
    'onlinePayment' => [
        'nameId' => 'onlinePayment',
        'inputType' => 'hidden',
        'content' => 'true',
    ],
    'noticeMode' => 'asyncNotice',
    'editAction' => 'Alipay',
];
